Subject: bug#34647: closed (Re: [bug#34647] [PATCH] gnu: python-petsc4py: Update to 10.3.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 Feb 2019 22:27:02 +0000

Your bug report

#34647: [PATCH] gnu: python-petsc4py: Update to 10.3.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34647: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34647
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#34647] [PATCH] gnu: python-petsc4py: Update to 10.3.1.
From: Leo Famulari <[email-masked]>
To: Paul Garlick <[email-masked]>
Cc: [email-masked]
Date: Tue, 26 Feb 2019 17:26:22 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Feb 26, 2019 at 03:06:03PM +0000, Paul Garlick wrote:
> Hi Leo,
> 
> > I tested this update by building fenics on top of it. On my x86-63
                                                                     ^
Oops, silly typo ----------------------------------------------------|

> > machine, it failed as below. Is this expected or a reason to block
> > the python-petsc4py update?
> 
> Thank you for doing the fenics test too.  
> 
> I have fixed the build problem for fenics-dolfin in patch #34668.

Great!

> These patches for python-petsc4py and fenics-dolfin have been made 
> necessary by the recent update of the PETSc dependency.  Essentially,
> a symbol that used to be referenced in these packages is no longer
> made available by PETSc.

Okay, I've pushed the python-petsc4py update as
758439cf4b20851d25c1d72d289cc6d4556ccda2

Subject: [PATCH] gnu: python-petsc4py: Update to 10.3.1.
From: Paul Garlick <[email-masked]>
To: [email-masked]
Cc: Paul Garlick <[email-masked]>
Date: Mon, 25 Feb 2019 13:26:09 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/maths.scm (python-petsc4py): Update to 10.3.1.
---
 gnu/packages/maths.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index 74554e2..a39323e 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -1797,14 +1797,14 @@ scientific applications modeled by partial differential equations.")
 (define-public python-petsc4py
   (package
     (name "python-petsc4py")
-    (version "3.10.0")
+    (version "3.10.1")
     (source
       (origin
         (method url-fetch)
         (uri (pypi-uri "petsc4py" version))
         (sha256
           (base32
-            "0ch3g6dsvxl7qi984fcssv7cxfbif4bw04gkvxl2l1b8wrmvrm25"))))
+            "094hcnran0r2z1wlvmjswsz3ski1m9kqrl5l0ax8jjhnk55x0flh"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
-- 
1.8.3.1